package com.hgwebservice.controller;

import com.hgwebservice.service.syncCdm2.SyncDispatchDataByDeptCode;
import com.hgwebservice.service.syncCdm2.SyncOperatorData;
import com.hgwebservice.service.syncCdm2.SyncPatientDataByDeptCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/sync")
@Validated
public class SyncController {
    @Autowired
    private SyncOperatorData syncOperatorData;
    @Autowired
    private SyncPatientDataByDeptCode syncPatientDataByDeptCode;
    @Autowired
    private SyncDispatchDataByDeptCode syncDispatchDataByDeptCode;

    @GetMapping("/start")
    public void start() {
        syncOperatorData.saveCdm2();
    }
    @GetMapping("/start1")
    public void start1() {
        syncPatientDataByDeptCode.saveCdm2();
    }
    @GetMapping("/start2")
    public void start2() {
        syncDispatchDataByDeptCode.saveCdm2();
    }
}
