package com.hgwebservice.dal.dataobject.data;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
/**
 * 操作员 DO
 *
 * @author super_admin
 */
@TableName("operator_data")
@KeySequence("operator_data_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OperatorDataDO {

    /**
     * 注解自增
     */
    @TableId
    private Integer id;
    /**
     * 护工工号
     */
    private String acc;
    /**
     * 姓名
     */
    private String accName;
    /**
     * 是否有效（有效/无效，0/1）
     */
    private String isEffective;
    /**
     * 病区代码
     */
    private String wardCode;
    /**
     * 病区名称
     */
    private String wardName;
    /**
     * 科室代码
     */
    private String deptCode;
    /**
     * 科室名称
     */
    private String deptName;

    private Date createTime;

    private Date updateTime;
    /**
     * 医院code
     */
    private String hospitalCode;
    /**
     * 医院id
     */
    private Integer hospitalId;

}
