package com.hgwebservice.dal.mysql.data;

import com.baomidou.dynamic.datasource.annotation.Master;
import com.baomidou.dynamic.datasource.annotation.Slave;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hgwebservice.entity.hisview.SyncToHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
@Master
public interface SyncToHisMapper extends BaseMapper<SyncToHisDO> {

   default SyncToHisDO selectByCode(String code, Long tenantId){
       return  selectOne(Wrappers.<SyncToHisDO>lambdaQuery().eq(SyncToHisDO::getCode,code).eq(SyncToHisDO::getHospitalId,tenantId).last("limit 1"));
   }
   @Update("update sync_to_his set is_sync=#{isSync} where id=#{id}")
   int updateIsSync(@Param("id")Integer id,@Param("isSync")Integer isSync);
}
