package com.hgwebservice.service.syncCdm2;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.hgwebservice.dal.dataobject.data.OperatorDataDO;
import com.hgwebservice.dal.mysql.data.OperatorDataMapper;
import com.hgwebservice.entity.hisview.OperatorData;
import com.hgwebservice.util.DeptEnum;
import com.hgwebservice.util.WebServiceUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SyncOperatorDataImpl implements SyncOperatorData {
    @Autowired
    OperatorDataMapper operatorDataMapper;
    @Value("${hospital_id}")
    private Integer hospitalId;
    @Override
    public void saveCdm2() {
//        for (DeptEnum dept : DeptEnum.values()) {
            List<OperatorData> operatorData = WebServiceUtil.getOperatorData();
            if (CollUtil.isNotEmpty(operatorData)){
                List<OperatorDataDO> operatorDataDOS = BeanUtil.copyToList(operatorData, OperatorDataDO.class);
                operatorDataMapper.replaceOperatorData(operatorDataDOS,hospitalId);
            }
//        }
    }
}
