package com.hgwebservice.dal.mysql.data;

import cn.hutool.core.date.DateTime;
import com.baomidou.dynamic.datasource.annotation.Master;
import com.baomidou.dynamic.datasource.annotation.Slave;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.hgwebservice.entity.hisview.SyncToHisDO;
import com.hgwebservice.entity.server.MeasureData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import java.util.List;

@Mapper
@Slave
public interface DmsMeasureMapper extends BaseMapper<SyncToHisDO> {
    List<MeasureData> getMeasureDataByMark(@Param("startTime")DateTime startTime,@Param("endTime")DateTime endTime);

}
