package com.hgwebservice.entity.hisview;

import com.baomidou.dynamic.datasource.annotation.Master;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author guixue
 * @since 2023-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class HisMeasureData implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String code;

    @TableField("PATIENTCODE")
    private String patientcode;

    @TableField("PATIENTPHONE")
    private String patientphone;

    @TableField("PATIENTNAME")
    private String patientname;

    @TableField("ADMCODE")
    private String admcode;

    @TableField("TYPE")
    private String type;

    @TableField("VAL")
    private String val;

    @TableField("UNIT")
    private String unit;

    @TableField("TIP")
    private String tip;

    @TableField("REMARK")
    private String remark;

    @TableField("MEASURETIME")
    private String measuretime;

    @TableField("DATAFROM")
    private String datafrom;

    @TableField("OPERATORCODE")
    private String operatorcode;

    @TableField("OPERATORNAME")
    private String operatorname;

    @TableField("VALIDFLAG")
    private Integer validflag;

    @TableField("CREATETIME")
    private Date createtime;

    @TableField("UPDATETIME")
    private Date updatetime;

    private Long hospitalId;

    @TableField("HOSPITALCODE")
    private String hospitalcode;

    @TableField("PERIOD")
    private String period;

}
