package com.hgwebservice.entity.hisview;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * @Description:
 * @Author: liwang
 * @Date: 2023年06月01日 16:52
 */
@TableName("sync_to_his")
@Data
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SyncToHisDO {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("code")
    private String code;

    @TableField("PATIENTCODE")
    private String patientcode;

    @TableField("PATIENTPHONE")
    private String patientphone;

    @TableField("PATIENTNAME")
    private String patientname;

    @TableField("ADMCODE")
    private String admcode;

    @TableField("TYPE")
    private String type;

    @TableField("VAL")
    private String val;

    @TableField("UNIT")
    private String unit;

    @TableField("TIP")
    private String tip;

    @TableField("REMARK")
    private String remark;

    @TableField("MEASURETIME")
    private String measuretime;

    @TableField("DATAFROM")
    private String datafrom;

    @TableField("OPERATORCODE")
    private String operatorcode;

    @TableField("OPERATORNAME")
    private String operatorname;

    @TableField("VALIDFLAG")
    private Integer validflag;

    @TableField("CREATETIME")
    private Date createtime;

    @TableField("UPDATETIME")
    private Date updatetime;

    private Long hospitalId;

    @TableField("PERIOD")
    private String period;
    @TableField("HOSPITALCODE")
    private String hospitalCode;

    @TableField("MEASUREMETHOD")
    private Integer measureMethod;
    @TableField("CHARGEFLAG")
    private Integer chargeFlag;
    @TableField("is_sync")
    private Integer isSync;

}
